# FireFlutter


![Image](https://github.com/thruthesky/fireflutter/blob/main/docs/assets/images/fireflutter_title_image.png?raw=true)

FireFluter is a lightning-fast, robust CMS toolkit for beautiful UI design and real-time content management in Flutter app development. Empower your projects with dynamic, feature-rich building blocks. Built on Firebase, FireFlutter accelerates development, revolutionizing your app creation process. Unleash boundless possibilities with FireFlutter today!

## Features

- Beautiful UI design

- User
  - Like and unlike, listing.
  - Block and unblock, listing.
  - Report and listing. Admin feature of report.

- Chat
  - Complete chat features

- Forum
  - Complete forum features.

- Push notification
  - Complete push notification features.

- Access control
  - Admin can block/unblock users.



## Documentation

See the following documents:

- [English Guideline](https://thruthesky.github.io/fireflutter/english/)
- [한국어 매뉴얼](https://thruthesky.github.io/fireflutter/korean/)

## UI Samples

- In this chapter, A few sample UIs(Designs) are displayed. To view more UIs, refer the FireFlutter Widgets document.

- All the UI design is customizable throught Flutter's own theme design pattern. You may copy the fireflutter source code and re-create your own if you want.

- Below is `Simple Email Password Login Form` widget that lets the user creates a new account or sign in with existing account.

![Image](https://github.com/thruthesky/fireflutter/blob/main/docs/assets/images/simple_email_password_login_form.jpg?raw=true)


- Below is `CountryPicker` widget that lets the user to choose his country. It returns `country flag`, `country name in English`, `country name of Official language`, `dial code`, `two letter code`, `three letter code`, `currency code`, `currency name`, `currency name in Korean`, `currency symbol` and more. Use this widget to get the country information.

![Image](https://github.com/thruthesky/fireflutter/blob/main/docs/assets/images/country_picker.jpg?raw=true)



- Below is `LanguagePicker` widget that lets the user to choose his language.

![Image](https://github.com/thruthesky/fireflutter/blob/main/docs/assets/images/language_picker.jpg?raw=true)



- Below is `NewProfilePhotos` widget that displays new profile photos of the users.

![Image](https://github.com/thruthesky/fireflutter/blob/main/docs/assets/images/new_profile_photos.jpg?raw=true)



- Below is `SimplePhoneSignInForm` widget that lets the user to sign in with google phone sign-in.

![Image](https://github.com/thruthesky/fireflutter/blob/main/docs/assets/images/simple_phone_sign_in_form.jpg?raw=true)




There are a lot more widgets that you can mix up to build your app. Refere Widgets document.



## Issues

Create issues on github.


## Contacts

JaeHo Song
thruthesky@gmail.com

