# FireFlutter

어린이가 장난감을 만들 때 각 부품을 조립해서 만들 듯, FireFlutter 가 제공하는 위젯, 모듈 등의 기능들을 통해 쉽게 앱을 만들 수 있다.

본 문서는 FireFlutter 에 대한 설명과 이를 통해 회원, 채팅, 게시판 및 소셜 커뮤니티 관련 기능을 가지는 앱을 쉽고 빠르게 만들 수 있도록 설명을 해 준다. FireFlutter 을 확장(커스터마이징)하여 소셜 앱 뿐만아니라 쇼핑몰, CMS 등 다양한 앱을 만들 수 있다.

## 설치

- See [install.md](install.md)

## 순서


### 활용법

- [빌딩 블록](building_blocks.md)를 참고하시면, fireship 을 통해서 앱을 개발 할 수 있는 방법에 여러가지 설명을 하고 있다.
- FireFlutter 의 exmaple 폴더에 예제 코드가 있다.

### FireFlutter 의 기본 이해

- FireFlutter 는 데이터베이스 구조와 관련된 로직을 구현하는 코드 뿐만아니라, 플러터 디자인을 위한 위젯들을 같이 제공하고 

- 모든 모델 클래스에는 아래와 같은 변수들을 가지고 있다.
    - `node` 는 데이터 노드 이름을 가지고 있다. 예를 들면, `Post.node` 는 `posts` 의 값을 가지고 있다.
    - 데이터 reference 는 `____Ref` 로 끝난다.
    - `ref` 는 해당 모델의 데이터 reference 이다.
    - `rootRef` 는 Realtime Databsae 의 최상위 `/` 를 가르킨다.
    - `nodeRef` 는 각 데이터 노드의 최 상이 클래스를 가르킨다. 예: `/users`, `/posts`, etc.
    - 참고로 2024년 3월 현재, 이 부분 코드 리팩토링 중이어서 혼동이 조금 있을 수 있다.

- 일부 모델 클래스에는 `onFieldChange` 라는 위젯 빌드 함수가 있으며, 내부적으로 단순히 `Value` 위젯을 사용하여 특정 필드가 변경되면, 위젯을 빌드 할 수 있도록 해 놓았다.


### 빠르게 시작하기

- [빠르게 시작하기](./quick_start.md) 문서 참고

### UI 디자인

- [디자인 문서](./design.md) 참고


## 참여

- 문서를 수정 또는 보강 및 참여를 원하시는 분은 아래의 카카오톡 단톡방으로 입장 후 문의를 하면 된다.
  [파이어베이스+플러터 단톡방](https://open.kakao.com/o/gaScS0nf)

